Create a SetupIntent so the customer can add/update a payment method (SDK PaymentMethodForm).
POST
Secret API key operationId: setup_intent/v1/billing/me/setup-intent Authorization
Server-to-server. Send a secret key as a Bearer token plus the x-application-id header.
Request body · required
organization_idstring<uuid> required uuid
Responses
200 SetupIntent client secret
{
"data": {
"client_secret": "string",
"connected_account_id": "string",
"publishable_key": "string"
},
"error": {
"code": "string",
"message": "string"
},
"meta": {
"timestamp": "string"
},
"success": false
}Request
curl -X POST "https://api.identrahq.com/v1/billing/me/setup-intent" \
-H "Content-Type: application/json" \
-d '{
"organization_id": "018f3c4a-7b2e-7c1d-9e0a-1f2b3c4d5e6f"
}'Try it
live requestPOST
https://api.identrahq.com/v1/billing/me/setup-intent